# Interface Constrainable

All Known Implementing Classes:
  `OptionData, OptionSet`

public interface Constrainable
The interface for objects which can be constrained, i. e. `Constraint`s can be attached to such objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`addConstraint(Constraint constraint)`
Add a constraint to this instance.
`List<Constraint>`
`getConstraints()`
Access all known constraints

## Method Details

### addConstraint

void addConstraint(Constraint constraint)
Add a constraint to this instance.

Parameters:
  `constraint` - The `Constraint` to add to the list of constraints for this instance

### getConstraints

List<Constraint> getConstraints()
Access all known constraints

Returns:
  A list of `Constraint`s for this instance